Skip to main content
GET
/
audit-log
List Audit Logs
curl --request GET \
  --url https://api.example.com/audit-log \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "user_id": "<string>",
      "action": "<string>",
      "entity_type": "<string>",
      "entity_id": "<string>",
      "changes": {},
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123,
    "has_next": true,
    "has_prev": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

entity_type
string | null

Filter by entity type

entity_id
string | null

Filter by entity identifier

user_id
string | null

Filter by user ID

action
string | null

Filter by action

fromDate
string<date-time> | null

Start of created_at range

toDate
string<date-time> | null

End of created_at range

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Page size

Required range: 1 <= x <= 200

Response

Successful Response

data
AuditLogEntry · object[]
required
pagination
PaginationMetadata · object
required